/*
 * adc.h
 *
 * Created: 20.02.2019 20:46:44
 *  Author: jens
 */ 


#ifndef ADC_H_
#define ADC_H_

#include "fifo.h"

void adc_init(Fifo *pFifo);
void adc_start_conversion(size_t ch);
int adc_is_fininshed();
size_t adc_getChannel();
int16_t adc_getData();

#endif /* ADC_H_ */